import request from '@/utils/request'

// 查询订单通话记录列表
export function listOrderCall(query) {
  return request({
    url: '/system/OrderCall/list',
    method: 'get',
    params: query
  })
}

// 查询订单通话记录详细
export function getOrderCall(id) {
  return request({
    url: '/system/OrderCall/' + id,
    method: 'get'
  })
}

// 新增订单通话记录
export function addOrderCall(data) {
  return request({
    url: '/system/OrderCall',
    method: 'post',
    data: data
  })
}

// 修改订单通话记录
export function updateOrderCall(data) {
  return request({
    url: '/system/OrderCall',
    method: 'put',
    data: data
  })
}

// 删除订单通话记录
export function delOrderCall(id) {
  return request({
    url: '/system/OrderCall/' + id,
    method: 'delete'
  })
}
